package xyz.tbvns.ui.Windows;

import imgui.ImGui;
import imgui.ImGuiStyle;
import imgui.flag.ImGuiCol;
import xyz.tbvns.ui.Element;
import xyz.tbvns.ui.UIManager;

public class GDRunningErrorWindow implements Element {
    @Override
    public void render() {
        ImGui.pushStyleColor(ImGuiCol.TitleBgActive, 255, 0, 0, 255);
        ImGui.pushStyleColor(ImGuiCol.TitleBg, 150, 0, 0, 255);
        ImGui.pushStyleColor(ImGuiCol.TitleBgCollapsed, 100, 50, 50, 255);
        ImGui.begin("Error:");
        ImGui.text("GeometryDash is running !\nPlease close GeometryDash before saving.");
        if (ImGui.button("Close")) {
            UIManager.getActiveUI().put(GDRunningErrorWindow.class, false);
        }
        ImGui.end();
        ImGui.popStyleColor(3);
    }
}
